Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

List webhook endpoints

GET/webhooks
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Responses
200

Webhook endpoints

Array of WebhookEndpoint
idstringrequired
namestringrequired
urlstring<uri>required
statusWebhookStatusrequired
Allowed:activepauseddisabled
eventsstring[]required
descriptionstring
secret_prefixstringrequired
created_atstring<date-time>required
updated_atstring<date-time>required
statsobjectrequired
Show properties
total_deliveriesintegerrequired
successfulintegerrequired
failedintegerrequired
success_ratenumberrequired
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Request
curl -X GET "https://api.seal.nyc/api/v1/webhooks" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
[
  {
    "id": "string",
    "name": "string",
    "url": "http://example.com",
    "status": "active",
    "events": [
      "string"
    ],
    "description": "string",
    "secret_prefix": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "stats": {
      "total_deliveries": 0,
      "successful": 0,
      "failed": 0,
      "success_rate": 0
    }
  }
]